PRO calc_mag 

  readcol, 'star_V_largescale.txt', xV, yV, countsV

  mag_V = 2.1100000E+01-2.5*alog10( countsV) 

  v_im = READFITS( 'j92f01020_drz.fits', v_hd, EXTEN_NO = 1 )

  XYAD, v_hd, xV, yV, lonV, latV, /galactic

  openw, outunit, 'instmag_V_all.txt', /get_lun

  for i = 0, N_ELEMENTS( xI ) - 1 DO $
     PRINTF, outunit, lonV[i], latV[i], xV[i], yV[i], mag_V[i]

  FREE_LUN, outunit

END
